Create Source
curl --request POST \
--url https://apigcp.trynia.ai/v2/sources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repository": "<string>",
"branch": "<string>",
"ref": "<string>",
"url": "<string>",
"url_patterns": [
"<string>"
],
"exclude_patterns": [
"<string>"
],
"project_id": "<string>",
"max_age": 123,
"formats": [
"<string>"
],
"only_main_content": true,
"limit": 123,
"max_depth": 123,
"crawl_entire_domain": true,
"wait_for": 123,
"include_screenshot": true,
"check_llms_txt": true,
"llms_txt_strategy": "<string>",
"add_as_global_source": true,
"is_pdf": true,
"is_spreadsheet": true,
"display_name": "<string>",
"gcs_path": "<string>",
"focus_instructions": "<string>",
"extract_branding": true,
"extract_images": true,
"config": "<string>",
"folder_name": "<string>",
"folder_path": "<string>",
"files": [
{
"path": "<string>",
"content": "<string>"
}
],
"database": {
"filename": "<string>",
"content": "<string>"
},
"slack_installation_id": "<string>",
"google_drive_installation_id": "<string>",
"google_drive_file_ids": [
"<string>"
],
"google_drive_folder_ids": [
"<string>"
]
}
'import requests
url = "https://apigcp.trynia.ai/v2/sources"
payload = {
"repository": "<string>",
"branch": "<string>",
"ref": "<string>",
"url": "<string>",
"url_patterns": ["<string>"],
"exclude_patterns": ["<string>"],
"project_id": "<string>",
"max_age": 123,
"formats": ["<string>"],
"only_main_content": True,
"limit": 123,
"max_depth": 123,
"crawl_entire_domain": True,
"wait_for": 123,
"include_screenshot": True,
"check_llms_txt": True,
"llms_txt_strategy": "<string>",
"add_as_global_source": True,
"is_pdf": True,
"is_spreadsheet": True,
"display_name": "<string>",
"gcs_path": "<string>",
"focus_instructions": "<string>",
"extract_branding": True,
"extract_images": True,
"config": "<string>",
"folder_name": "<string>",
"folder_path": "<string>",
"files": [
{
"path": "<string>",
"content": "<string>"
}
],
"database": {
"filename": "<string>",
"content": "<string>"
},
"slack_installation_id": "<string>",
"google_drive_installation_id": "<string>",
"google_drive_file_ids": ["<string>"],
"google_drive_folder_ids": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repository: '<string>',
branch: '<string>',
ref: '<string>',
url: '<string>',
url_patterns: ['<string>'],
exclude_patterns: ['<string>'],
project_id: '<string>',
max_age: 123,
formats: ['<string>'],
only_main_content: true,
limit: 123,
max_depth: 123,
crawl_entire_domain: true,
wait_for: 123,
include_screenshot: true,
check_llms_txt: true,
llms_txt_strategy: '<string>',
add_as_global_source: true,
is_pdf: true,
is_spreadsheet: true,
display_name: '<string>',
gcs_path: '<string>',
focus_instructions: '<string>',
extract_branding: true,
extract_images: true,
config: '<string>',
folder_name: '<string>',
folder_path: '<string>',
files: [{path: '<string>', content: '<string>'}],
database: {filename: '<string>', content: '<string>'},
slack_installation_id: '<string>',
google_drive_installation_id: '<string>',
google_drive_file_ids: ['<string>'],
google_drive_folder_ids: ['<string>']
})
};
fetch('https://apigcp.trynia.ai/v2/sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"identifier": "<string>",
"display_name": "<string>",
"status": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"category_id": "<string>",
"is_global": true,
"global_source_id": "<string>",
"global_namespace": "<string>",
"metadata": {},
"curation": {
"trust_signals": {
"trust_level": "medium",
"trust_tier": "medium",
"scope": "private",
"is_global": false,
"is_verified": false,
"overlay_available": false,
"annotation_count": 0
},
"overlay_summary": "<string>",
"recommended_queries": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sources
Create Source
POST
/
sources
Create Source
Authorizations
API key must be provided in the Authorization header
Query Parameters
Organization ID for usage tracking
Body
application/json
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Show child attributes
Show child attributes
A database file for upload.
Show child attributes
Show child attributes
Response
Successful Response
Unified source representation.
Source identifier
Source type
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Canonical identifier (repo slug, URL, or folder path)
Human-readable name
Indexing status
Creation timestamp (ISO)
Last update timestamp (ISO)
Category assignment
Whether the source is global/shared
Global source ID if applicable
Global namespace if applicable
Type-specific metadata
Trust signals and curated guidance summary
Show child attributes
Show child attributes
Was this page helpful?
⌘I

